---
title: Add DMC Store Global Rate
slug: api-documentation/add-dmc-store-global-rate
docTags: 
createdAt: 2026-08-27T16:55:41.659Z
---

{
  "id": "qRBbY2_ynp8SPUjia7IpR",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-global-rate",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-global-rate"
      }
    ],
    "name": "Add DMC Store Global Rate",
    "description": "<p>The endpoint manages the Create and Update operations on DMC Store Global Rate.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>dmc-shipping-calc.create</code></li>\n</ul>\n<p>Authorized roles:</p>\n<ul>\n<li>service.operator</li>\n<li>operator.default</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "Model of the global rates defined by dmc store. None of the fields are optional.",
          "customType": "DMCStoreGlobalRate",
          "schema": [
            {
              "name": "siteIds",
              "kind": "required",
              "type": "array",
              "description": "",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "baseDistance",
              "kind": "required",
              "type": "number<double>",
              "description": "",
              "format": "double",
              "minimum": 0
            },
            {
              "name": "dmcGlobalDeliveryRate",
              "kind": "required",
              "type": "object",
              "description": "",
              "example": "",
              "schema": [
                {
                  "name": "dropOff",
                  "kind": "required",
                  "type": "number",
                  "description": ""
                },
                {
                  "name": "whiteGlove",
                  "kind": "required",
                  "type": "number",
                  "description": ""
                },
                {
                  "name": "whiteGlovePlus",
                  "kind": "required",
                  "type": "number",
                  "description": ""
                },
                {
                  "name": "dropOffExtraCharges",
                  "kind": "required",
                  "type": "number",
                  "description": ""
                },
                {
                  "name": "whiteGloveExtraCharges",
                  "kind": "required",
                  "type": "number",
                  "description": ""
                },
                {
                  "name": "whiteGlovePlusExtraCharges",
                  "kind": "required",
                  "type": "number",
                  "description": ""
                },
                {
                  "name": "quantity",
                  "kind": "required",
                  "type": "number",
                  "description": ""
                },
                {
                  "name": "baseDistance",
                  "kind": "optional",
                  "type": "number<double>",
                  "description": "",
                  "format": "double"
                },
                {
                  "name": "maxDistance",
                  "kind": "required",
                  "type": "number<double>",
                  "description": "",
                  "format": "double"
                },
                {
                  "name": "perMileRate",
                  "kind": "required",
                  "type": "number",
                  "description": ""
                },
                {
                  "name": "haulAwayEnabled",
                  "kind": "optional",
                  "type": "boolean",
                  "description": ""
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/DMCStoreGlobalRate",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Ok",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "6nYCnowtGDyW__iM-BQV8",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-global-rate \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"siteIds\": [],\n     \"baseDistance\": \"\",\n     \"dmcGlobalDeliveryRate\": {\n     \"dropOff\": \"\",\n     \"whiteGlove\": \"\",\n     \"whiteGlovePlus\": \"\",\n     \"dropOffExtraCharges\": \"\",\n     \"whiteGloveExtraCharges\": \"\",\n     \"whiteGlovePlusExtraCharges\": \"\",\n     \"quantity\": \"\",\n     \"maxDistance\": \"\",\n     \"perMileRate\": \"\"\n     }\n     }'"
        },
        {
          "id": "JUjqNUJyQBXWJX2TJuKpN",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"siteIds\": [],\n   \"baseDistance\": \"\",\n   \"dmcGlobalDeliveryRate\": {\n      \"dropOff\": \"\",\n      \"whiteGlove\": \"\",\n      \"whiteGlovePlus\": \"\",\n      \"dropOffExtraCharges\": \"\",\n      \"whiteGloveExtraCharges\": \"\",\n      \"whiteGlovePlusExtraCharges\": \"\",\n      \"quantity\": \"\",\n      \"maxDistance\": \"\",\n      \"perMileRate\": \"\"\n   }\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-global-rate\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "XMz8FlpNfxud0gDbj9vtd",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-global-rate\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"siteIds\": [],\n   \"baseDistance\": \"\",\n   \"dmcGlobalDeliveryRate\": {\n      \"dropOff\": \"\",\n      \"whiteGlove\": \"\",\n      \"whiteGlovePlus\": \"\",\n      \"dropOffExtraCharges\": \"\",\n      \"whiteGloveExtraCharges\": \"\",\n      \"whiteGlovePlusExtraCharges\": \"\",\n      \"quantity\": \"\",\n      \"maxDistance\": \"\",\n      \"perMileRate\": \"\"\n   }\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "2ehiGW8_DeKN9OsFZO2Fa",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-global-rate\"\n\npayload = json.dumps({\n   \"siteIds\": [],\n   \"baseDistance\": \"\",\n   \"dmcGlobalDeliveryRate\": {\n      \"dropOff\": \"\",\n      \"whiteGlove\": \"\",\n      \"whiteGlovePlus\": \"\",\n      \"dropOffExtraCharges\": \"\",\n      \"whiteGloveExtraCharges\": \"\",\n      \"whiteGlovePlusExtraCharges\": \"\",\n      \"quantity\": \"\",\n      \"maxDistance\": \"\",\n      \"perMileRate\": \"\"\n   }\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "6nYCnowtGDyW__iM-BQV8"
    },
    "results": {
      "languages": [
        {
          "id": "nMrBvdsVE4pR9h02Pt_Yo",
          "language": "200",
          "code": "// Ok\n"
        },
        {
          "id": "aJeWfdI-MA_bvE1jeCFbG",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "r6iuglUB7fiLCsOKjpqwR",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "nMrBvdsVE4pR9h02Pt_Yo"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}